Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 24-10-2019 16:15:29

Xunil
Membre
Distrib. : Debian GNU/Linux 7.6 - Wheezy
Noyau : 3.10.23
Inscription : 19-03-2016

[Résolu] Imposible de supprimer/installer des paquets Erreur bloquante

Bonjour,

Je suis sous Debian 9.6 Stetch et je rencontre un problème avec le paquet onlyoffice-documentserver

Il semblerait qu'il soit bloquant pour toutes commandes ayant un lien avec l'installation ou la suppression de paquets (qui n'ont à priori aucun lien avec ce paquet problématique)

Quelque soit la commande que j'utilise, pour essayer de corriger ce paquet ou pour installer autres choses :

apt, apt-get, dpk

avec comme options

install, purge, force,...

j'ai toujours ce message d'erreur :

(Lecture de la base de données... 45327 fichiers et répertoires déjà installés.)
Suppression de onlyoffice-documentserver (5.4.1-39) ...
Le sous-processus script post-removal installé a retourné une erreur de sortie d'état 127
Des erreurs ont été rencontrées pendant l'exécution :
 onlyoffice-documentserver
E: Sub-process /usr/bin/dpkg returned an error code (1)


Notes
La commande

dpkg -l | grep -v ^ii

donne

Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                         Version     Architecture      Description
+++-==========================-============-===============-=======================================================
[...]
pH  onlyoffice-documentserver   5.4.1-39        amd64        online viewers and editors for text, spreadsheet and presentation files.


Il est en pH donc semi-installé (il était à l'origine en rF, c'est à dire en échec config avant mes tentatives de réparation).

J'ai eu beau chercher des solutions je n'arrive pas à "réparer" ce paquet qui gène tout le processus de manipulation des paquets
Si vous avez des idées sur comment procéder...

Merci

Dernière modification par Xunil (24-10-2019 19:27:36)

Hors ligne

#2 24-10-2019 18:14:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Imposible de supprimer/installer des paquets Erreur bloquante

Bonsoir Xunil,

apt ou un autre machin a écrit :

Le sous-processus script post-removal installé a retourné une erreur de sortie d'état 127


Tu trouveras un petit topo à ce sujet sur le wiki ubuntu-fr (à adapter, bien sûr), mais que retourne :

cat /var/lib/dpkg/info/onlyoffice-documentserver.postrm


Un souci concernant un script pre-removal a été remonté en janvier ; voir solution radicale de raleur.

Hors ligne

#3 24-10-2019 19:27:04

Xunil
Membre
Distrib. : Debian GNU/Linux 7.6 - Wheezy
Noyau : 3.10.23
Inscription : 19-03-2016

Re : [Résolu] Imposible de supprimer/installer des paquets Erreur bloquante

Merci, cela a fonctionné big_smile

Hors ligne

Pied de page des forums